Welcome to Centmin Mod Community
Register Now

Install Upgrading Centmin Mod .06

Discussion in 'Install & Upgrades or Pre-Install Questions' started by RPGX, Aug 14, 2014.

  1. RPGX

    RPGX New Member

    26
    4
    3
    Aug 14, 2014
    Ratings:
    +4
    Local Time:
    7:43 AM
    Nginx 1.9.15
    MariaDB 5.5.50
    First of all, thanks for providing such a great tool.

    My question: when upgrading centminmod (in my case from eva2000.06 to eva2000.07), are we meant to overwrite the previous contents of /usr/local/src/centmin-v1.2.3mod?

    Also, although the upgrade instructions now say that PHP5.3 is standard, the changelog says PHP5.4. I would like to make sure that I stay with PHP5.3, but I can't find now where the instructions were to do that (add a variable to centmin.sh before running it, I think?)

    Thanks!
     
  2. eva2000

    eva2000 Administrator Staff Member

    31,025
    6,927
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,433
    Local Time:
    10:43 PM
    Nginx 1.13.x
    MariaDB 5.5
  3. RPGX

    RPGX New Member

    26
    4
    3
    Aug 14, 2014
    Ratings:
    +4
    Local Time:
    7:43 AM
    Nginx 1.9.15
    MariaDB 5.5.50
    Thanks!

    Based on what you've said, I upgraded nginx only.

    I have a question about that -- I saw your post re. choosing to recompile openssl here:
    I did choose 'y' before reading that, and openssl did recompile. Was that a bad call? Do I have to go back and revert anything?
     
  4. eva2000

    eva2000 Administrator Staff Member

    31,025
    6,927
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,433
    Local Time:
    10:43 PM
    Nginx 1.13.x
    MariaDB 5.5
    Yeah it's open to leave it as is for OpenSSL.
     
  5. RPGX

    RPGX New Member

    26
    4
    3
    Aug 14, 2014
    Ratings:
    +4
    Local Time:
    7:43 AM
    Nginx 1.9.15
    MariaDB 5.5.50
    To make sure that I don't misunderstand (I'm not sure what you mean by 'open'):

    Choosing 'y' to recompile openssl is ok?
     
  6. eva2000

    eva2000 Administrator Staff Member

    31,025
    6,927
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,433
    Local Time:
    10:43 PM
    Nginx 1.13.x
    MariaDB 5.5
    Yeah it's okay. I have updated all branches of Centmin Mod .07 stable and .08 beta to remove that prompt for recompile of OpenSSL as well.
     
  7. RPGX

    RPGX New Member

    26
    4
    3
    Aug 14, 2014
    Ratings:
    +4
    Local Time:
    7:43 AM
    Nginx 1.9.15
    MariaDB 5.5.50
    Thanks again for your help!